window.Gleam.initSearch([{"doc":"gleesend","title":"gleesend","content":"# resend\n\n[![Package Version](https://img.shields.io/hexpm/v/resend)](https://hex.pm/packages/resend)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/resend/)\n\n```sh\ngleam add resend@1\n```\n\n```gleam\nimport resend\nimport resend/emails.{create_email, send_email, with_html}\n\npub fn main() {\n  let client =\n    resend.Resend(api_key: &quot;// Replace this with your resend api key&quot;)\n\n  create_email(\n    client:,\n    from: &quot;from@example.com&quot;,\n    to: [&quot;to@example.com&quot;],\n    subject: &quot;:)&quot;,\n  )\n  |&gt; with_html(&quot;&lt;p&gt;Email sent&lt;/p&gt;&quot;)\n  |&gt; send_email()\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/resend&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\n```\n","url":"index.html"},{"doc":"resend","title":"Resend","content":"pub type Resend {\n  Resend(api_key: String)\n}\n\nResend(api_key: String)\n\n\nSynonyms:\nresend.Resend\nresend Resend","url":"resend.html#Resend"},{"doc":"resend","title":"resend","content":"","url":"resend.html"},{"doc":"resend/emails","title":"ResendEmail","content":"pub type ResendEmail {\n  ResendEmail(\n    client: Resend,\n    from: String,\n    to: List(String),\n    subject: String,\n    bcc: Option(List(String)),\n    cc: Option(List(String)),\n    reply_to: Option(List(String)),\n    html: Option(String),\n    text: Option(String),\n  )\n}\n\nResendEmail(\n  client: Resend,\n  from: String,\n  to: List(String),\n  subject: String,\n  bcc: Option(List(String)),\n  cc: Option(List(String)),\n  reply_to: Option(List(String)),\n  html: Option(String),\n  text: Option(String),\n)\n\n\nSynonyms:\nresend/emails.ResendEmail\nresend/emails ResendEmail","url":"resend/emails.html#ResendEmail"},{"doc":"resend/emails","title":"SendEmailError","content":"pub type SendEmailError {\n  RequestError\n  BadRequestError\n  ParseResponseBodyError\n}\n\nRequestError\n\n\nBadRequestError\n\n\nParseResponseBodyError\n\n\nSynonyms:\nresend/emails.SendEmailError\nresend/emails SendEmailError","url":"resend/emails.html#SendEmailError"},{"doc":"resend/emails","title":"SuccessResponse","content":"pub type SuccessResponse {\n  SuccessResponse(id: String)\n}\n\nSuccessResponse(id: String)\n\n\nSynonyms:\nresend/emails.SuccessResponse\nresend/emails SuccessResponse","url":"resend/emails.html#SuccessResponse"},{"doc":"resend/emails","title":"create_email","content":"pub fn create_email(\n  client client: Resend,\n  from from: String,\n  to to: List(String),\n  subject subject: String,\n) -&gt; ResendEmail\n\nSynonyms:\nresend/emails.create_email\nresend/emails create_email","url":"resend/emails.html#create_email"},{"doc":"resend/emails","title":"send_email","content":"pub fn send_email(\n  email: ResendEmail,\n) -&gt; Result(SuccessResponse, SendEmailError)\n\nSynonyms:\nresend/emails.send_email\nresend/emails send_email","url":"resend/emails.html#send_email"},{"doc":"resend/emails","title":"with_bcc","content":"pub fn with_bcc(\n  resend: ResendEmail,\n  bcc: List(String),\n) -&gt; ResendEmail\n\nSynonyms:\nresend/emails.with_bcc\nresend/emails with_bcc","url":"resend/emails.html#with_bcc"},{"doc":"resend/emails","title":"with_cc","content":"pub fn with_cc(\n  resend: ResendEmail,\n  cc: List(String),\n) -&gt; ResendEmail\n\nSynonyms:\nresend/emails.with_cc\nresend/emails with_cc","url":"resend/emails.html#with_cc"},{"doc":"resend/emails","title":"with_html","content":"pub fn with_html(\n  resend: ResendEmail,\n  html: String,\n) -&gt; ResendEmail\n\nSynonyms:\nresend/emails.with_html\nresend/emails with_html","url":"resend/emails.html#with_html"},{"doc":"resend/emails","title":"with_reply_to","content":"pub fn with_reply_to(\n  resend: ResendEmail,\n  reply_to: List(String),\n) -&gt; ResendEmail\n\nSynonyms:\nresend/emails.with_reply_to\nresend/emails with_reply_to","url":"resend/emails.html#with_reply_to"},{"doc":"resend/emails","title":"with_text","content":"pub fn with_text(\n  resend: ResendEmail,\n  text: String,\n) -&gt; ResendEmail\n\nSynonyms:\nresend/emails.with_text\nresend/emails with_text","url":"resend/emails.html#with_text"},{"doc":"resend/emails","title":"resend/emails","content":"","url":"resend/emails.html"}]);